curl
curl "https://api.paybridgenp.com/v1/payment-links?active=true" \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "lnk_01j9x2k3m4n5p6q7r8s9t0u1v2",
"livemode": true,
"title": "Donation",
"description": "<string>",
"amount": 10000,
"minAmount": 123,
"maxAmount": 123,
"currency": "NPR",
"active": true,
"maxUses": 123,
"usedCount": 0,
"expiresAt": "2023-11-07T05:31:56Z",
"redirectUrl": "<string>",
"inactiveMessage": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"collectAddress": true,
"customerLine1": "<string>",
"customerLine2": "<string>",
"customerCity": "<string>",
"customerState": "<string>",
"customerPostalCode": "<string>",
"customerCountry": "<string>",
"referenceId": "<string>",
"metadata": {},
"url": "https://paybridgenp.com/pay/lnk_01j9x2k3m4n5p6q7r8s9t0u1v2",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 1,
"limit": 2,
"offset": 1
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Payment Links
List payment links
Returns payment links for the authenticated project, newest first. Requires the links:read scope.
GET
/
v1
/
payment-links
curl
curl "https://api.paybridgenp.com/v1/payment-links?active=true" \
-H "Authorization: Bearer sk_test_your_key"import requests
url = "https://api.paybridgenp.com/v1/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.paybridgenp.com/v1/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "lnk_01j9x2k3m4n5p6q7r8s9t0u1v2",
"livemode": true,
"title": "Donation",
"description": "<string>",
"amount": 10000,
"minAmount": 123,
"maxAmount": 123,
"currency": "NPR",
"active": true,
"maxUses": 123,
"usedCount": 0,
"expiresAt": "2023-11-07T05:31:56Z",
"redirectUrl": "<string>",
"inactiveMessage": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>",
"collectAddress": true,
"customerLine1": "<string>",
"customerLine2": "<string>",
"customerCity": "<string>",
"customerState": "<string>",
"customerPostalCode": "<string>",
"customerCountry": "<string>",
"referenceId": "<string>",
"metadata": {},
"url": "https://paybridgenp.com/pay/lnk_01j9x2k3m4n5p6q7r8s9t0u1v2",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"total": 1,
"limit": 2,
"offset": 1
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"request_id": "req_2Je91NlWKuXkdXUJOK9gaHNW",
"suspension": {
"suspended_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
},
"pause": {
"paused_at": "2023-11-07T05:31:56Z",
"reason": "<string>"
}
}
}Authorizations
Your PayBridgeNP API key. Obtain one from the dashboard under Settings → API Keys. Prefix: sk_test_ for testing, sk_live_ for production.
Query Parameters
Filter by active state. Pass true or false; omit for all links.
Available options:
true, false Number of results to return (1–100, default 25).
Required range:
1 <= x <= 100Number of results to skip.
Required range:
x >= 0Was this page helpful?
⌘I